> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Send message



## OpenAPI

````yaml post /{shopId}/contactus
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/contactus:
    post:
      tags:
        - Shops
        - Contact us
      summary: Send message
      description: Send message
      operationId: sendMessage
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  example: adeyinkabadmus@gmail.com
                fullName:
                  type: string
                  example: Rasaq Badmus
                message:
                  type: string
                  example: >-
                    <div><p>For 50 years, WWF has been protecting the future of
                    nature. The world's leading conservation organization, WWF
                    works in 100 countries and is supported by 1.2 million
                    members in the United States and close to 5 million
                    globally.</p><p>For 50 years, WWF has been protecting the
                    future of nature. The world's leading conservation
                    organization, WWF works in 100 countries and is supported by
                    1.2 million members in the United States and close to 5
                    million globally.</p></div>
                telephone:
                  type: string
                  example: '+2349034362570'
            example:
              email: adeyinkabadmus@gmail.com
              fullName: Rasaq Badmus
              message: >-
                <div><p>For 50 years, WWF has been protecting the future of
                nature. The world's leading conservation organization, WWF works
                in 100 countries and is supported by 1.2 million members in the
                United States and close to 5 million globally.</p><p>For 50
                years, WWF has been protecting the future of nature. The world's
                leading conservation organization, WWF works in 100 countries
                and is supported by 1.2 million members in the United States and
                close to 5 million globally.</p></div>
              telephone: '+2349034362570'
      responses:
        '200':
          description: ''

````